export interface IAttributes {
  [key: string]: string;
}

export class XMLElement {
  _text?: string;
  _attr?: IAttributes;

  constructor(element?: Partial<XMLElement>) {
    this._text = (element && element._text) || "";
    this._attr = (element && element._attr) || {};
  }
}
